/**
Theme Name: newwalmart
Author: Dolphin Group
Author URI: https://dolphingroup.org
Description: Child theme for new Walmart locations
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: newwalmart
Template: astra
*/

@import url("https://cdn-images.mailchimp.com/embedcode/classic-061523.css");



/* body {
	 font-family: Bogle, Helvetica, Arial, sans-serif;
} */

.site-header .site-logo-img .custom-mobile-logo-link img {
	/* width: 40px; */
}

.site-header .site-logo-img .custom-logo-link img {
	/* width: 165px; */
}


.main-header-menu .menu-link a:hover,
.main-header-menu .menu-link a:active {
	text-decoration: underline;
}

.main-header-bar-navigation .menu-emphasis {
	font-weight: 700;
}

.entry-content :where(h1,h2,h3,h4,h5,h6) {
	margin-bottom: 0;
}

@media screen and (max-width: 544px) {
	.site-content .wp-block-columns .wp-block-column:not(:last-child) {
		margin-bottom: 0 !important;
	}

	.entry-content ul {
		padding-inline-start: 20px;
	}
}

.scaling {
	height: 100%;
}

@media screen and (min-width: 766px) {
	.wp-block-cover .cover-line1 {
		font-size: 80px !important;
	}

	.wp-block-cover .cover-line2 {
		font-size: 130px !important;
	}
}

.uagb-swiper h2.cta a {
	text-decoration: none;
}

@media screen and  (1201px <= width <= 1225px) {
	.uagb-swiper {
		margin: 0 10px;
	}
}

@media screen and  (975px <= width <= 1200px) {
	.uagb-swiper {
		margin: 0 20px;
	}
}

.wp-block-image.scaling img {
	object-fit: cover;
	max-image: revert;
	height: 100%;
}

.image-heading {
	position: relative;
}

.image-heading img {
	position: absolute;
	right: 0px;
	opacity: .5;
}

.image-heading .apple {
	position: absolute !important;
	top: -75px;
	right: 80px;
	z-index: -1;
}

.image-heading .bananas {
	position: absolute !important;
	top: -80px;
	right: 10px;
	z-index: -1;
}

@media screen and (min-width: 766px) {
	.image-heading .apple {
		right: 30px;
	}

	.image-heading .bananas {
		right: -80px;
	}

	.image-heading img {
		left: 0px;
		opacity: .9;
	}

	.image-heading h3 {
		text-align: right;
	}
}



.site-above-footer-wrap[data-section="section-above-footer-builder"] {
	min-height: 15px;
	height: 15px;
}

.site-above-footer-wrap[data-section="section-above-footer-builder"] .ast-builder-grid-row,
.site-above-footer-wrap[data-section="section-above-footer-builder"] .site-footer-section {
	justify-items: center;
}

.site-above-footer-wrap .wp-block-image {
	position: relative;
	width: 130px;
}

.site-above-footer-wrap .wp-block-image img {
	position: absolute;
	top: -45px;
	z-index: 100;
}

.footer-copy {
	display: flex;
	justify-content: center;
}
.ast-footer-copyright {
	color: #fff;
}

.ast-footer-copyright a,
.ast-footer-copyright a:link,
.ast-footer-copyright a:visited {
	color: #f5c005;
}

.ast-footer-copyright a:hover,
.ast-footer-copyright a:active  {
	color: #ed7b23;
}

.disclaimer {
	background-color: #fff;
	border: 1px solid #000;
	padding: 20px;
	margin: 20px;
}

.disclaimer p {
	margin: 0;
}


/*
Mailchimp signup form
*/

#item-0 { grid-area: firstname; }
#item-1 { grid-area: familyname; }
#item-2 { grid-area: email; }
#item-3 { grid-area: phone; }
#item-4 { grid-area: address; }
#item-4a { grid-area: street; }
#item-4b { grid-area: apt; }
#item-4c { grid-area: city; }
#item-4d { grid-area: state; }
#item-4e { grid-area: zip; }
#item-5 { grid-area: comments; }
#item-6 { grid-area: optins; }
#item-7 { grid-area: submit;
	justify-self: stretch;}

.form-grid {
	display: grid;
	gap: 5px 15px;
	height: 100%;
	align-items: start;
	grid-template-columns: repeat(2, 1fr);
	grid-auto-rows: minmax(100px,auto);
	grid-template-areas:
		"firstname firstname"
		"familyname familyname"
		"email email"
		"phone phone"
		"street street"
		"apt apt"
		"city city"
		"state zip"
		"comments comments"
		"optins optins"
		"submit submit";
}

@media screen and (max-width: 544px) {
	.form-grid {
		grid-template-columns: 1fr;
		grid-auto-rows: minmax(100px, auto);
		grid-template-areas:
		"firstname"
		"familyname"
		"email"
		"phone"
		"street"
		"apt"
		"city"
		"state"
		"zip"
		"comments"
		"optins"
		"submit";
	}
}

@media screen and (min-width: 1200px) {
	.form-grid {
		grid-template-columns: repeat(4, 1fr);
		grid-auto-rows: minmax(100px, auto);
		grid-template-areas:
			"firstname firstname familyname familyname"
			"email email phone phone"
			"street street apt apt"
			"city city state zip"
			"comments comments optins optins"
			"submit submit submit submit";
	}
}

#mc_embed_signup {
	/* background:#fff; */
	clear:left;
	font-size: 1rem;
}

#mc_embed_signup form {
	padding: 0;
	text-align: left;
}

@media screen and (min-width: 910px) {
	#mc_embed_signup form {
		margin: 0
	}
}

#mc_embed_signup form .mc-field-group {
	max-width: 100%;
}

#mc_embed_signup .mc-field-group {
	clear: left;
	position: relative;
	width: 100%;
	padding-bottom: 0;
	min-height: 50px;
	display: grid;
}

#mc_embed_signup label{
	font-size: .85rem;
	font-weight: 500;
	display: block;
	margin-bottom: 2px;
}

#mc_embed_signup .datefield, #mc_embed_signup .phonefield-us {
	padding: 0;
}


#mc_embed_signup label.optintext {
	font-size: 1rem;
	font-weight: 400;
	line-height: 1.1;
	display: grid;
	grid-template-columns: 1.15em auto;
	gap: 0.5em;
	margin-top: 1em;
}

label.optintext + label.optintext {
	margin-top: 2em;
}

#mc_embed_signup .mc-field-group.input-group ul {
	margin:0;
	padding: 20px 0 5px 0;
	list-style: none;
}

#mc_embed_signup .mc-field-group.input-group ul li {
	display: block;
	display: grid;
	grid-template-columns: 2rem 1fr;
	padding:3px 0 10px 0;
	margin:0;
}

#mc_embed_signup .mc-field-group.input-group ul li label {
	font-size: 1rem;
	font-weight: 500;
}

#mc_embed_signup .small-meta {
	font-size: 11px;
}

#mc_embed_signup .indicates-required {
	text-align:right;
	font-size:11px;
	margin-right:4%;
}

.asterisk,
#mc_embed_signup .asterisk {
	color:#e85c41;
	color: #fff;
	font-size:150%;
	font-weight:normal;
	position:relative;
	top:5px;
}

input[type="text"], input[type="number"], input[type="email"], input[type="url"], input[type="password"], input[type="search"], input[type=reset], input[type=tel], input[type=date], select {
	height: auto;
}

#mc_embed_signup input,
#mc_embed_signup textarea {
	border: 1px solid #abb0b2;
	-webkit-border-radius: 3px;
	-moz-border-radius: 3px;
	border-radius: 3px;
}

#mc_embed_signup .mc-field-group input {
	padding: .75em .25em;
}

#mc_embed_signup .mc-field-group textarea {
	padding: .75em;
}


#mc_embed_signup input:focus,
#mc_embed_signup textarea:focus {
	border-color:#333;
}

#mc_embed_signup textarea {
	resize: vertical;
}

#mc_embed_signup input.wp-element-button,
#mc_embed_signup button.wp-element-button {
	/* border:0px;
	border-radius: 30px;
	font-size: 1.25rem; */
	transition: background-color .2s;
	width: 100%;
	margin-top: .75rem;
}

@media screen and (max-width: 400px){
	#mc_embed_signup input.wp-element-button {
		/* font-size: 1.6rem;
		font-stretch: condensed;
		font-weight: 900; */
	}
}

.wp-block-buttons.alignwide > .wp-block-button {
	width: 100%;
}


/* Fancy checkboxes */
#mc_embed_signup .mc-field-group.input-group input[type="checkbox"] {
	/* Hide native checkbox */
	-webkit-appearance: none;
	appearance: none;
	background-color: #fff;
	margin: 0;
	padding: .5em;

	/* Styling */
	font: inherit;
	color: #abb0b2;
	width: 1.15em;
	height: 1.15em;
	border: 1px solid currentColor;
	border-radius: 0.15em;
	transform: translateY(-0.075em);

	/* Styling: selected */
	display: grid;
	place-content: center;
}

#mc_embed_signup .mc-field-group.input-group input[type="checkbox"]::before {
	content: "";
	width: 0.65em;
	height: 0.65em;
	transform: scale(0);
	transition: 120ms transform ease-in-out;
	box-shadow: inset 1em 1em #0071dc;
}

#mc_embed_signup .mc-field-group.input-group input[type="checkbox"]:checked::before {
	transform: scale(1);
	background-color: CanvasText;
}

#mc_embed_signup .mc-field-group.input-group input[type="checkbox"]:focus {
	outline: max(2px, 0.15em) solid currentColor;
	outline-offset: max(2px, 0.15em);
}


/* end checkboxes */



#mc_embed_signup .clear {clear:both;}

#mc_embed_signup .foot {display:grid; grid-template-columns: 3fr 1fr; width:96%; align-items: center;}

@media screen and (max-width:400px) {#mc_embed_signup .foot {display:grid; grid-template-columns: 1fr; width:100%; align-items: center;}}

@media screen and (max-width:400px) {#mc_embed_signup .referralBadge {width:50%;}}

#mc_embed_signup .brandingLogo {justify-self:right;}

@media screen and (max-width:400px) {#mc_embed_signup .brandingLogo {justify-self:left;}}

/* #mc_embed_signup .mc-field-group.input-group ul {margin:0; padding:5px 0; list-style:none;}
#mc_embed_signup .mc-field-group.input-group ul li {display:block; padding:3px 0; margin:0;}
#mc_embed_signup .mc-field-group.input-group label {display:inline;}
#mc_embed_signup .mc-field-group.input-group input {display:inline; width:auto; border:none;} */

#mc_embed_signup div#mce-responses {
	float:left;
	/* top:-1.4em;
	padding:0em .5em 0em .5em;
	padding: 0;
	overflow:hidden;
	width:90%;
	margin: 0 5%;
	margin: 0; */
	clear: both;
}

#mc_embed_signup div.response {
	/* margin:1em 0;
	padding:1em .5em .5em 0;
	float:left;
	top:-1.5em;
	z-index:1;
	width:80%; */
	font-size: 2rem;
	line-height: 1.1;
	font-weight:bold;
}

#mc_embed_signup .helper_text {
	background-color: transparent;
}

#mc_embed_signup #mce-error-response {
	display:none;
}

#mc_embed_signup #mce-success-response {
	color:#529214;
	color: #F3AB0D;
	display:none;
}

#mc_embed_signup label.error {display:block; float:none; width:auto; margin-left:1.05em; text-align:left; padding:.5em 0;}

#mc_embed_signup .helper_text {color: #8d8985; margin-top: 2px; display: inline-block; padding: 3px;  -webkit-border-radius: 3px; -moz-border-radius: 3px; border-radius: 3px; font-size: 14px; font-weight: normal; z-index: 1;}

#mc-embedded-subscribe {clear:both; width:auto; display:block; margin:0;}

#mc_embed_signup #num-subscribers {font-size:1.1em;}

#mc_embed_signup #num-subscribers span {padding:.5em; border:1px solid #ccc; margin-right:.5em; font-weight:bold;}

#mc_embed_signup #mc-embedded-subscribe-form div.mce_inline_error {display:inline-block; margin:2px 0 1em 0; padding:3px; background-color:rgba(255,255,255,0.85); -webkit-border-radius: 3px; -moz-border-radius: 3px; border-radius: 3px; font-size:14px; font-weight:normal; z-index:1; color:#e85c41;}

#mc_embed_signup #mc-embedded-subscribe-form input.mce_inline_error {border:2px solid #e85c41;}


/* END Mailchimp form */